<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Register</title>
    <script src="https://cdn.socket.io/3.1.3/socket.io.min.js" integrity="sha384-cPwlPLvBTa3sKAgddT6krw0cJat7egBga3DJepJyrLl4Q9/5WLra3rrnMcyTyOnh" crossorigin="anonymous"></script>


</head>
<body>
<table>
  <tr>
    <td><div>
        <label for="user_id">User ID</label>
        <input id="user_id" name="user_id">
    </div></td>
  </tr>
    <tr>
        <td><div>
            <label for="password">Password</label>
            <input id="password" name="password" type="password">
        </div></td>
    </tr>
    <tr>
        <div>
            <button id="btn_register">Register</button>
        </div>
    </tr>
</table>
</body>
<script src="socket_connector.js"></script>
<script>
    var button = document.getElementById("btn_register");
    button.addEventListener("click", function (e){
        alert("yes");
        var user_id = document.getElementById("user_id").value;
        var password = document.getElementById("password").value;
        socket.emit("login", {
            "user_id": user_id,
            "password": password
        });
        socket.on("waiting", function (data){
            console.log(data);
        })
    });
</script>
</html>